<div class="row">
<div class="col-md-12">
  <div class="card">
    <agm-map [zoom]="12" [latitude]="33.581053564669844" [longitude]="-7.594315135130387" style="height:350px;width: 100%;" >
      <agm-marker
              *ngFor="let client of clients"
              [latitude]="client.coordinateClient.latitude"
              [longitude]="client.coordinateClient.longitude"
      >
        <agm-info-window>{{client.nameClient}}</agm-info-window>
      </agm-marker>
      <agm-marker
              *ngFor="let depot of depots"
              [latitude]="depot.coordinateDepot.latitude"
              [longitude]="depot.coordinateDepot.longitude"

              [iconUrl]="{
          url: '/assets/depot-red.png',
          scaledSize: {
          width: 35,
          height: 35
          }
          }">
        <agm-info-window>{{depot.nameDepot}}</agm-info-window>
      </agm-marker>
    </agm-map>
  </div>
</div>
</div>

<div class="row"></div>

<div class="row" style="padding-top: 10px;padding-bottom: 10px;">

  <div class="col-md-6">
    <div class="card mb-3">
      <div class="card-header">
        <i class="fa fa-user"></i> Clients</div>

      <div class="table-responsive">
        <table width="100%" class="table table-striped table-hover ">
          <thead>
          <tr>
            <th>N°</th>
            <th>Nom</th>
            <th>Adresse</th>
            <th class="text-right">Operations</th>
          </tr>
          </thead>
          <tbody>
          <tr class="odd gradeX" *ngFor="let client of clients">
            <td><b>{{client.id}}</b></td>
            <td><b>{{client.nameClient}}</b></td>
            <td><b>{{client.coordinateClient.adresse}}</b></td>
            <td class="text-right">
              <button type="button" class="btn btn-primary btn-circle" (click)="updateClient1(client.id)"><i class="fa  fa-edit"></i></button>
              &nbsp;|&nbsp;
              <button type="button" class="btn btn-danger btn-circle" (click)="deleteClient(client)"><i class="fa fa-trash-o "></i></button>
            </td>

          </tr>
          </tbody>
        </table>
      </div>
      <div class="card-footer small text-muted"></div>
    </div>
  </div>

  <div class="col-md-6">
    <div class="card mb-3">
      <div class="card-header">
        <i class="fa fa-building-o"></i> Depots</div>

      <div class="table-responsive">
        <table width="100%" class="table table-striped table-hover ">
          <thead>
          <tr>
            <th>N°</th>
            <th>Nom</th>
            <th>Adresse</th>
            <th class="text-right">Operations</th>
          </tr>
          </thead>
          <tbody>
          <tr class="odd gradeX" *ngFor="let depot of depots">
            <td><b>{{depot.id}}</b></td>
            <td><b>{{depot.nameDepot}}</b></td>
            <td><b>{{depot.coordinateDepot.adresse}}</b></td>
            <td class="text-right">
              <button type="button" class="btn btn-primary btn-circle" (click)="updateDepot(depot.id)"><i class="fa  fa-edit"></i></button>
              &nbsp;|&nbsp;
              <button type="button" class="btn btn-danger btn-circle" (click)="deleteDepot(depot)"><i class="fa fa-trash-o "></i></button>
            </td>

          </tr>
          </tbody>
        </table>
      </div>
      <div class="card-footer small text-muted"></div>
    </div>
  </div>

  <div class="col-md-12">
    <div class="card mb-3">
      <div class="card-header">
        <i class="fa fa-truck"></i> Vehicles</div>

      <div class="table-responsive">
        <table width="100%" class="table table-striped table-hover ">
          <thead>
          <tr>
            <th>N°</th>
            <th class="text-center">Nom</th>
            <th class="text-center">Matricule</th>
            <th class="text-center">Coûts Fixes</th>
            <th class="text-center">Coût / M</th>
            <th class="text-center">Volume (M³)</th>
            <th class="text-center">Poids Max (Kg)</th>
            <th class="text-right">Operations</th>
          </tr>
          </thead>
          <tbody>
          <tr class="odd gradeX" *ngFor="let vehicle of vehicles">
            <td><b>{{vehicle.id}}</b></td>
            <td class="text-center"><b>{{vehicle.nameVehicle}}</b></td>
            <td class="text-center"><b>{{vehicle.matricule}}</b></td>
            <td class="text-center"><b>{{vehicle.fixedCost}}</b></td>
            <td class="text-center"><b>{{vehicle.operatingCostPerMetre}}</b></td>
            <td class="text-center"><b>{{vehicle.maxWeight}}</b></td>
            <td class="text-center"><b>{{vehicle.volumeVehicle}}</b></td>
            <td class="text-right">
              <button type="button" class="btn btn-primary btn-circle" (click)="updateVehicle(vehicle.id)"><i class="fa  fa-edit"></i></button>
              &nbsp;|&nbsp;
              <button type="button" class="btn btn-danger btn-circle" (click)="deleteVehicle(vehicle)"><i class="fa fa-trash-o "></i></button>
            </td>

          </tr>
          </tbody>
        </table>
      </div>
      <div class="card-footer small text-muted"></div>
    </div>
  </div>

</div>